NAME(3)

NAME
krb5_crypto_init, krb5_crypto_destroy - initialize encryption context

LIBRARY
Kerberos 5 Library (libkrb5, -lkrb5)

SYNOPSIS
#include <krb5.h>
krb5_error_code
krb5_crypto_init(krb5_context context, krb5_keyblock *key, krb5_enctype enctype, krb5_crypto *crypto);
krb5_error_code
krb5_crypto_destroy(krb5_context context, krb5_crypto crypto);

DESCRIPTION
These functions are used to initialize an encryption context that can be used to encrypt or checksum data.

The krb5_crypt_init() initializes the encrytion context crypto. The key parameter is the key to use for encryption, and checksums. The encryption type to use is taken from the key, but can be overridden with the enctype parameter.

krb5_crypto_destroy() frees a previously allocated encrypion context.

SEE ALSO
krb5_create_checksum(3), krb5_encrypt(3)